<template name="registerFaculty">
    {{#autoForm schema=registerFaculty id="e-registerFaculty"}}
    <fieldset>
        <legend class="mb-4">Реци нам нешто више</legend>
        <div class="row form-group">
            <div class="col-12">
                <label for="e-facultyCity">Град школовања (факултет)</label>
            </div>
            <div class="col-12">
                {{> afFieldInput type="text" name="profile.facultyCity" id="e-facultyCity" disabled=abroad}}
            </div>
            <div class="col-12 mt-2">
                <label for="e-abroad">Завршио сам у иностранству</label>
                <input type="checkbox" id="e-abroad">
            </div>
        </div>
        {{#if abroad}}
            <div class="row form-group">
                <div class="col-12">
                    <label for="e-abroadFacultyCity">Град школовања у иностранству (факултет)</label>
                </div>
                <div class="col-12">
                    {{> afFieldInput type="text" name="profile.abroadFacultyCity" id="e-abroadFacultyCity"}}
                </div>
            </div>
            <div class="row form-group">
                <div class="col-12">
                    <label for="e-abroadFaculty">Факултет</label>
                </div>
                <div class="col-12">
                    {{> afFieldInput type="text" name="profile.abroadFaculty" id="e-abroadFaculty"}}
                </div>
            </div>
            <div class="row form-group">
                <div class="col-12">
                    <label for="e-abroadFacultyMajor">Смер на факултету</label>
                </div>
                <div class="col-12">
                    {{> afFieldInput type="text" name="profile.abroadFacultyMajor" id="e-abroadFacultyMajor"}}
                </div>
            </div>
        {{/if}}
        {{#unless abroad}}
            <div class="row form-group">
                <div class="col-12">
                    <label for="e-faculty">Факултет</label>
                </div>
                <div class="col-12">
                    {{> afFieldInput type="text" name="profile.faculty" id="e-faculty"}}
                </div>
            </div>
            <div class="row form-group">
                <div class="col-12">
                    <label for="e-facultyMajor">Смер на факултету</label>
                </div>
                <div class="col-12">
                    {{> afFieldInput type="text" name="profile.facultyMajor" id="e-facultyMajor"  disabled=true}}
                </div>
            </div>
        {{/unless}}
        <div class="row form-group">
            <div class="col-12">
                <label for="e-workingProfession">Струка</label>
            </div>
            <div class="col-12">
                {{> afFieldInput type="text" name="profile.workingProfession" id="e-workingProfession"}}
            </div>
        </div>
    </fieldset>
    <div class="row form-group">
        <div class="col-12 justify-content-end d-flex mt-4">
            <button class="btn btn-danger offset-md-4 offset-4" type="submit">Следеће</button>
        </div>
    </div>
    {{/autoForm}}
</template>
